Get list of notes

The Get list of notes method is used to get the list of notes added to entities in the platform.

GET {base_url}/api/v3/resellers/{reseller_id}/notes

Arguments

Name

Parameter Type

Data type

Required/Optional

Description

X-Api-Token

header

string

Required

API token of a manager that performs the operation (see


)

Content-Type

header

string

Required

Media type of the request. Specify the following: application/vnd.api+json

Accept

header

string

Required

Supported media types of the answer. Specify the following: application/vnd.api+json

base_url

path

string

Required

ActivePlatform URL

reseller_id

path

integer

Required

ID of the current reseller or any of its downstream resellers (see 


)

page[size]

query

integer

Optional

Page navigation: number of elements per page. The default value is 50

page[number]

query

integer

Optional

Page navigation: page number

filter[account_id]

query

string

Optional

Filtering the list by the account ID

filter[subscription_id]

query

string

Optional

Filtering the list by the subscription ID

filter[order_id]

query

string

Optional

Filtering the list by the order ID

Response model

Name

Data type

Description

data

array of objects

Response data


id

string

Note ID in the platform


type

string

Data type


attributes

object

Note information



created_at

string

Date and time of the note creation



updated_at

string

Date and time when of the note last update



content

string

The text of a note



creator

string

Information about the creator of a note:

  • The name of the manager who added the note.

  • System — the note is created automatically.



original_link

string

A link to a note



original_id

integer

The ID of an entity in the platform with a note. For an Account entity, original_id = null



original_type

string

The type of an entity in the platform with a note:

  • null — Account.

  • Subscription.

  • Order.

  • ManualOperation.

  • Discount.



attachment

object

Information about a file attached to a note. For a note without file, attachment = null




name

string

The file name




url

string

The file link




size

string

The file size in bytes

links

array

Page navigation links that use the defined page navigation parameters


self

string

Current page link


first

string

First page link


prev

string

Previous page link


next

string

Next page link


last

string

Last page link

Request example

XML
GET /api/v3/resellers/1/notes
Host: test.activeplatform.com
Content-Type: application/vnd.api+json
X-Api-Token: vY5fwetestK3gJXZH5uHCw
Accept: application/vnd.api+json

Response example

JSON
{
    "data": [
        {
            "id": "5",
            "type": "notes",
            "attributes": {
                "created_at": "2023-03-27T11:35:12.509+03:00",
                "updated_at": "2023-03-27T11:35:12.509+03:00",
                "content": "Migrated",
                "creator": "Bill Smith",
                "original_link": "/admin/accounts/29/notes/5",
                "original_id": null,
                "original_type": null,
                "attachment": {
                    "name": "Logo",
                    "url": "https://storage.test.activeplatform.com/private/uploads/note/attachment/5/Logo?expires=1680009898&hash=DStusb6w",
                    "size": 3439
                }
            }
        },
        {
            "id": "12",
            "type": "notes",
            "attributes": {
                "created_at": "2023-03-27T13:33:00.320+03:00",
                "updated_at": "2023-03-27T13:33:00.320+03:00",
                "content": "Migrated subscription",
                "creator": "Angela Grand",
                "original_link": "/admin/subscriptions/114/notes/12",
                "original_id": 114,
                "original_type": "Subscription",
                "attachment": {
                    "name": "google114.png",
                    "url": "https://storage.test.activeplatform.com/private/uploads/note/attachment/12/google114.png?expires=1680009898&hash=9gwX6Thg",
                    "size": 3428
                }
            }
        }
    ],
    "links": {
        "self": "https://test.activeplatform.com/api/v3/resellers/1/notes?page%5Bnumber%5D=1&page%5Bsize%5D=50",
        "first": "https://test.activeplatform.com/api/v3/resellers/1/notes?page%5Bnumber%5D=1&page%5Bsize%5D=50",
        "prev": null,
        "next": null,
        "last": "https://test.activeplatform.com/api/v3/resellers/1/notes?page%5Bnumber%5D=1&page%5Bsize%5D=50"
    }
}